-- （1）不带条件的查询指定字段（考虑去掉和不去掉重复值两种情况）。
SELECT DISTINCT 性别 FROM 学生表;
SELECT 性别 FROM 学生表;

-- （2）查询某个表中的所有记录
SELECT * FROM 教师表;

-- （3）使用单个条件的简单查询
SELECT * FROM 教师表 WHERE 性别 = '男';

-- （4）使用多个条件（AND关系）的查询；
SELECT * FROM 教师表 WHERE 性别 = '男' AND 职称 = '讲师';

-- （5）使用多个条件（OR关系）的查询
SELECT * FROM 教师表 WHERE 职称 = '讲师' OR 职称 = '教授';

-- （6）使用多个条件（混合AND和OR关系）的查询
SELECT * FROM 课程表 WHERE 责任教师 = 'T001' AND (学时 = 64 OR 学时 = 80);

-- （7）使用带NOT运算的查询
SELECT * FROM 课程表 WHERE NOT 学时 = '32';

-- （8）使用BETWEEN···AND···的查询
SELECT * FROM 教师表 WHERE 工资 BETWEEN 3000 AND 4000;

-- （9）使用NOT···BETWEEN···AND···的查询
SELECT * FROM 教师表 WHERE 工资 NOT BETWEEN 3000 AND 4000;

-- （10）使用LIKE运算符的字符串匹配查询
SELECT * FROM 教师表 WHERE 姓名 LIKE '张教授';

-- （11）使用LIKE运算符的模板匹配查询
SELECT * FROM 教师表 WHERE 姓名 LIKE '李%';

-- （12）查询空值和非空值的查询
SELECT * FROM 教师表 WHERE 性别 IS NULL;
SELECT * FROM 教师表 WHERE 性别 IS NOT NULL;

-- （13）结果要求排序的查询
SELECT * FROM 教师表 ORDER BY 工资;

-- （14）查询结果按多列排序，并分别要求升序和降序的查询
SELECT * FROM 教师表 ORDER BY 工资;
SELECT * FROM 教师表 ORDER BY 工资 DESC;

-- （15）使用TOP显示前若干记录的查询
SELECT TOP 10 * FROM 学生表;

-- （16）使用TOP显示前若干记录的查询，如果有满足条件的并列记录一并显示
SELECT TOP 5 WITH TIES *
FROM 教师表
ORDER BY 工资;
